
def test_cartesia_encoding_format():
    encodings_to_try = ['utf-8', 'ascii', 'latin-1', 'utf-16', 'utf-32']

    byte_string = b'~xel\xed\xfdnn\xfe\xf7\xf2\xef\xfbm`\xf4\xea\xf3m\xf3\xfb^a\xe0\xdcj`oom\xdf\xf2k\xeb\xe2\\\\\xe3\xe2n\xf4\xdf\xee\xf8l[o\xd7\xf2g\xea\xe0u_ebv\xe8\xf9\xf1\xdd\xe0syzu\xea\xdb\xe9\xfd\xf9{\xfa\xe7\xdd\xf0\xe6\xdf\xf2ZVp\xe1\xe1\xed\xe3\xdf\xdf\xf9a\\p\xe3\xfba_kw\xfb\xf5\xe7\xd6\xddjo\xf4\xf1\xe8\xed\xf3\xe1\xda\xe6|rx}\xec\xe0\xe8\xed\xf7\xf7u\xfd\xe8\xde\xe8nue_dzbn\xea\xec{~~h\xed\xe0\xd8\xefaZ\xed\xda\xe2\xea\xdf\xe3\xeb\xdd\xf5Yf\xdbx[k\xedblj]d\xde\xe3W]}\xf0[l\xee\xda\xd2\xd7o\\\xdd\xda\xef[\xf6\xdb\xe0{h\xef\xe5\xdds\\Zr\xfd\xffpf\xec\xd9\xdcs\xefnu\xda\xd0xUfuoY\\l\xde\xe7mY^\xe6\xddeOq\xd1\xd9io\xec\xdb\xdf\xeaY]\xdd\xe4Yd\xd2\xda\xe8\xee\xf0m\xf8\xeefx\xe2\xdb\xe7\xd6\xfaXn\xd2\xd6\xfczp\xde~f\\\xdb\xe4y]}\xe8\xf2^L^\xed\xdb^`\\y[ruu\xf8\xeawVit\xebjoa\xf8\xf1kcr\xe9\xec\xe8i\xfe\xe0\xe9n{\xe6\xec\xe9\xe0\xdf\xe6\xd9\xdd\xf5\xf5\xe1\xdd\xe1{\\l\xd8\xd5\xf5_f\xf2\xde\xf3[Ri\xedzky\xe4\xf6WM_c\\WXE?DCCJSO]\\^Ue\xde\xc9\xc7\xcb\xc9\xcf\xcd\xce\xc5\xc3\xc2\xc3\xc4\xc6\xce\xcf\xce\xc9\xc5\xc1\xc6\xc7\xc9\xd0\xd9\xdc\xdc\xf8kz\xf2|mYOOMG?>>;51/1/3]\xbe\xc5f^kZ[\xe6\xdc\xd5\xc6\xc2\xcd\xcf\xc7\xcc\xee\xeb\xcd\xcb\xd0\xd6\xe4\xf6\xd1\xc3\xc2\xca\xce\xca\xc9\xcb\xcd\xcf\xcf\xcd\xca\xcb\xc9\xc8\xcd\xd9\xe3\xdc\xdd\xddlTMG;4/,+*(-{\xb2\xb4\xdeQKMZ\xfeRG\xf3\xc6\xc6\xd8\xcd\xd0\xd2\xcf\xce\xfaPZm\xe1\xcf\xbe\xbf\xc3\xc8\xcc\xd5\xd7\xcc\xcf\xcf\xc5\xbc\xbb\xbd\xc4\xcd\xde\xd1\xc3\xc3\xce\xda\xe6j\xf6\xde\xe7C4,*&!\x1c\x1c:\xad\xa6\xb6\xef@7L\xe6P7F\xc9\xb8\xb9\xba\xcaOL`\xefRN`\xeb\xcc\xbe\xbd\xcd\xe1\xd2\xc6\xc5\xd8_X`\xca\xbd\xbb\xbf\xc2\xbf\xc8\xca\xc2\xbd\xbd\xbc\xbc\xc2\xcd\xeb]G<4,%\x1d\x1b Y\xab\xa4\xaf\xe274FXM:?l\xba\xb2\xb7\xcfM@I\xfc\xd7\xda\xf1\xd5\xc8\xbe\xbd\xc2\xd1q_^aj\xea\xdb\xe1\xdb\xd9\xc6\xba\xb7\xc1\xd6\xde\xc7\xb7\xb2\xb2\xb9\xbf\xc0\xbf\xc2\xd2\\>1)"\x1d\x18\x1c6\xac\xa2\xa4\xb6U40=776\\\xba\xa8\xa5\xad\xd4>76>AOY\xcc\xb6\xae\xad\xb7\xd3C'
    successful_encodings: list[str] = []
    for encoding in encodings_to_try:
        try:
            decoded = byte_string.decode(encoding)
            print(f"Successfully decoded with {encoding}")
            successful_encodings.append(encoding)
        except UnicodeDecodeError:
            print(f"Failed to decode with {encoding}")
    print(f"{successful_encodings=}")

if __name__ == '__main__':
    test_cartesia_encoding_format()